#include "PipewireManagerFactory.h"

#include "PipewireManager.h"
#include "PipewireManager1.h"

namespace UkuiAudioFramwork
{
std::shared_ptr<AudioManager> PipewireManagerFactory::createManager()
{

//    return std::make_shared<PipewireManager>(5);
    std::shared_ptr<AudioManager> manager = std::make_shared<Pipewire>(nullptr, nullptr);
    std::dynamic_pointer_cast<Pipewire>(manager)->round_trip();
    return manager;
}
}
